const express = require('express')
const initApi = require('./api')
const cors = require('cors')

const app = express()
const port = 8080

initApi().then(apiRouter => {
    app.use(cors())
    app.use('/api',apiRouter);
    app.listen(port, () => {
      console.log(`Example app listening at http://localhost:${port}`)
    })
})
